//Note:
//PCRYED_ea=CED*CER/(YED)
//ITPRYED=(ITR-GIN)/YED, GIN:Government investment (see excel file data_ea, tab Fiscaldatabase)
//WYED=WRN/YED
//STIEONIA_ea: STI(-1) until 1998Q1 
//             EONIA from 1999Q1.Quarterly average of monthly values. 
//OIS_@{h} OIS rate with horizon h. 2005Q1-2019Q4: OIS rates with maturity 1-8 quarters, 3 years.
//                                  1999Q1-2004Q4: OIS rates with maturity 1-4 quarters, 2 years/ Bund zero coupon yields with 2 and 3 year maturity.
//                                  1994Q1-1998Q4: Money market rates (Eurostat), maturity 1-4Q (consistent with STN).
//dCPI_5y5y_ea_b: Market based long term inflation expectations, cleaned of term premium. 
//PDYalt_ea: Primary defict. Differs from primary deficit in fiscal databased because it is computed based on AWM-government consumption.
//TINC2: Implicit consumption tax rate (computed as 
//DTXY2: Direct-tax-revenue-to-GDP ratio.

varobs 

dYER_ea
dPCRYED_ea 
dITPRYED_ea
dYED_ea
STIEONIA_ea   
dWYED_ea

@#if DUM_EMPL_LEV
    EMPL_ea
@#else
    dEMPL_ea 
@#endif

@#if DUM_OIS

    @#if DUM_OISINST
        @#for h in OIShorizon
            OISINST_@{h}
        @#endfor
    @#else
        @#for h in OIShorizon
            OIS_@{h}
        @#endfor
    @#endif

@#endif

@#if DUM_PIOBJ
    @#if DUM_PIOBJOBS
        PIOBJ_ea
    @#else
        dCPI_5y5y_ea_b
    @#endif
@#endif
 
@#if DUM_GOVDEBT_ea
    @#if DUM_NODETREND
        dMALYED 
    @#else
        CUMDEFREAL_ea
    @#endif
@#else
    @#if DUM_DY
             DYalt_ea
    @#else
        @#if DUM_PDYalt
                PDYalt_ea    
        @#else
                PDY_ea
        @#endif
    @#endif
@#endif

@#if DUM_DTAX
    TINC2 
    DTXY2
@#endif

;